package com.lz.modules.sys.service.app;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.sys.entity.app.ResultDetail;

import java.util.List;

/**
* <p>
* 业绩详情表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-10
*/
public interface ResultDetailService extends IService<ResultDetail> {



	ResultDetail selectResultDetailById(Long id);


	Long insertResultDetail(ResultDetail resultDetail);


	int updateResultDetailById(ResultDetail resultDetail);


	int updateCoverResultDetailById(ResultDetail resultDetail);


	int deleteResultDetailById(Long id);


    List<ResultDetail> selectByRecordId(Long recordResultId);

	List<ResultDetail> selectByRecordIdType(Long recordResultId, Integer type);
}